UiPath Documentation
automation-cloud
latest
false

UiPath Automation Cloud API ガイド

最終更新日時 2026年5月5日

Bulk Resolve Directory Entities by Name

Resolves multiple directory entities by their names in a single request, based on the organization ID. All entities in the request must be of the same type.

API エンドポイント

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolveByName/{partitionGlobalId}

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud (公共部門向け)https://govcloud.uipath.us/
Automation Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • PM.Directory

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId (必須)String (GUID)The ID of the organization to resolve the entities within.

要求本文

The request body specifies the entity names to resolve. Unlike BulkResolve, all entities must be of the same type.

{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
プロパティデータ型説明
entityNames (必須)Array of stringsThe names of the directory entities to resolve (e.g., email addresses for users, group names for groups).
entityType (必須)文字列The type of all entities in the request. Valid values: User, Group, Application.
scope (任意)文字列Optional scope for active directory entities.

応答

200 OK

Returns a dictionary mapping each entity name to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}

400 Bad Request

Returned when required parameters are missing or invalid.

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

呼び出しは次の例のようになります (cURL)。

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'

呼び出しが成功した場合、応答本文は次のようになります。

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • 要求本文
  • 応答
  • 200 OK
  • 400 Bad Request
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得